/*
 * VARiD: A Variation Detection Framework for Colorspace and Letterspace platforms
 * Contact: <varid at cs dot toronto dot edu>
 * Copyright 2010 the authors (see README).
 * 
 * This file is part of VARiD.
 *
 * VARiD is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * VARiD is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with VARiD.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __inline_h__
#define __inline_h__

#if defined (__GNUC__) && defined (__OPTIMIZE__)

#    define __EXTERN_INLINE	extern __inline__
#    define __UNUSED 

#  define __EXT_INLINE(args)	__EXTERN_INLINE args __UNUSED
#  define __IMP_INLINE(args)	__EXTERN_INLINE args __UNUSED

#else /* __GNUC__  && __OPTIMIZE__ */

#  define __EXTERN_INLINE	extern

#  define __EXT_INLINE(args)	__EXTERN_INLINE args
#  define __IMP_INLINE(args)	args

#endif /* ! (__GNUC__ && __OPTIMIZE__) */

#endif /* __inline_h__ */
